package com.yeejoin.amos.fas.dao.entity; 


import javax.persistence.*;
import java.util.Date; 

/**
 * The persistent class for the alarm database table.
 */
@Entity
@Table(name = "f_station_info")
@NamedQuery(name = "StationInfo.findAll", query = "SELECT a FROM StationInfo a")
public class StationInfo extends BasicEntity{
    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    private String name; 

    /**
     * 环流站编码
     */
    @Column(name="station_code")
    private String stationCode; 

    /**
     * 后三位编码
     */
    private String code; 

    /**
     * 换流站类型：1-发电类型；2-收电类型
     */
    @Column(name="elec_type")
    private Integer elecType; 

    /**
     * 用途类型:1-电厂升压变电站；2-公用普通变电站；3-公用换流变电站；4-企业自备变电站；5-其他
     */
    @Column(name="use_type")
    private Integer useType; 

    /**
     * 省份编码
     */
    @Column(name="province_code")
    private String provinceCode; 

    /**
     * 市区编码
     */
    @Column(name="city_code")
    private String cityCode; 

    /**
     * 区县编码
     */
    @Column(name="district_code")
    private String districtCode; 

    /**
     * 省份编码
     */
    private String regionCode;

    /**
     * 详细地址
     */
    private String address; 

    /**
     * '0-启用；1-停用
     */
    private Integer status; 

    /**
     * 经度
     */
    private Double longitude; 

    /**
     * 纬度
     */
    private Double latitude; 

    /**
     * 换流站负责人
     */
    @Column(name="station_charge_user_id")
    private String stationChargeUserId; 

    /**
     * 安全负责人
     */
    @Column(name="safety_charge_user_id")
    private String safetyChargeUserId;

    /**
     * 队长
     */
    @Column(name="fire_captain_user_id")
    private String fireCaptainUserId;

    /**
     * 创建人
     */
    @Column(name="create_by")
    private String createBy;

    /**
     * 创建日期
     */
    @Column(name="create_date")
    private Date createDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 换流站负责人姓名
     */
    @Column(name="station_charge_user_name")
    private String stationChargeUserName;

    /**
     * 安全负责人姓名
     */
    @Column(name="safety_charge_user_name")
    private String safetyChargeUserName;

    /**
     * 创建人姓名
     */
    @Column(name="create_user_name")
    private String createUserName;

    /**
     * 创建人联系方式
     */
    @Column(name="create_user_phone_num")
    private String createUserPhoneNum;

    /**
     * 换流站负责人联系方式
     */
    @Column(name="station_user_phone_num")
    private String stationUserPhoneNum;

    /**
     * 安全负责人联系方式
     */
    @Column(name="safety_user_phone_num")
    private String safetyUserPhoneNum;


    @Column(name="fire_captain_name")
    private String fireCaptainName;

    @Column(name="fire_captain_phone_num")
    private String fireCaptainPhoneNum;

    public String getFireCaptainUserId() {
        return fireCaptainUserId;
    }

    public void setFireCaptainUserId(String fireCaptainUserId) {
        this.fireCaptainUserId = fireCaptainUserId;
    }

    public String getFireCaptainName() {
        return fireCaptainName;
    }

    public void setFireCaptainName(String fireCaptainName) {
        this.fireCaptainName = fireCaptainName;
    }

    public String getFireCaptainPhoneNum() {
        return fireCaptainPhoneNum;
    }

    public void setFireCaptainPhoneNum(String fireCaptainPhoneNum) {
        this.fireCaptainPhoneNum = fireCaptainPhoneNum;
    }

    public String getCreateUserPhoneNum() {
        return createUserPhoneNum;
    }

    public String getStationUserPhoneNum() {
        return stationUserPhoneNum;
    }

    public String getSafetyUserPhoneNum() {
        return safetyUserPhoneNum;
    }

    public void setStationUserPhoneNum(String stationUserPhoneNum) {
        this.stationUserPhoneNum = stationUserPhoneNum;
    }

    public void setSafetyUserPhoneNum(String safetyUserPhoneNum) {
        this.safetyUserPhoneNum = safetyUserPhoneNum;
    }

    public void setCreateUserPhoneNum(String createUserPhoneNum) {
        this.createUserPhoneNum = createUserPhoneNum;
    }


    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public String getStationChargeUserName() {
        return stationChargeUserName;
    }

    public String getSafetyChargeUserName() {
        return safetyChargeUserName;
    }

    public void setStationChargeUserName(String stationChargeUserName) {
        this.stationChargeUserName = stationChargeUserName;
    }

    public void setSafetyChargeUserName(String safetyChargeUserName) {
        this.safetyChargeUserName = safetyChargeUserName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getElecType() {
        return elecType;
    }

    public void setElecType(Integer elecType) {
        this.elecType = elecType;
    }

    public Integer getUseType() {
        return useType;
    }

    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getDistrictCode() {
        return districtCode;
    }

    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getStationChargeUserId() {
        return stationChargeUserId;
    }

    public void setStationChargeUserId(String stationChargeUserId) {
        this.stationChargeUserId = stationChargeUserId;
    }

    public String getSafetyChargeUserId() {
        return safetyChargeUserId;
    }

    public void setSafetyChargeUserId(String safetyChargeUserId) {
        this.safetyChargeUserId = safetyChargeUserId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public Date getCreateDate() {
        return createDate;
    }

    @Override
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Transient
    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }
}
